Bug 1572248 - [RFE] Add exclude directory option to undercloud backup [NEEDINFO]
Summary: [RFE] Add exclude directory option to undercloud backup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 13.0 (Queens)
Assignee: Carlos Camacho
QA Contact: Ronnie Rasouli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 14:02 UTC by Andrew Austin
Modified: 2018-12-24 11:40 UTC (History)
8 users (show)

Fixed In Version: python-tripleoclient-9.2.3-2.el7ost openstack-tripleo-common-8.6.3-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 16:35:54 UTC
Target Upstream Version:
joflynn: needinfo? (ccamacho)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1767385 0 None None None 2018-04-27 14:22:26 UTC
OpenStack gerrit 564784 0 None master: MERGED python-tripleoclient: Add exclude-path to undercloud backups (If8902980c93212401e5ff30828f6f03da6eece0e) 2018-07-05 18:34:29 UTC
OpenStack gerrit 568210 0 None stable/queens: MERGED python-tripleoclient: Add exclude-path to undercloud backups (If8902980c93212401e5ff30828f6f03da6eece0e) 2018-07-05 18:34:24 UTC
OpenStack gerrit 568245 0 None master: MERGED tripleo-common: Add validation for empty file system backup on Undercloud (Icd25a8d579151015c9cdf56861d2be933848a723) 2018-07-05 18:34:18 UTC
OpenStack gerrit 568250 0 None stable/queens: MERGED tripleo-common: Add validation for empty file system backup on Undercloud (Icd25a8d579151015c9cdf56861d2be933848a723) 2018-07-05 18:34:13 UTC
Red Hat Product Errata RHBA-2018:2574 0 None None None 2018-08-29 16:36:50 UTC

Description Andrew Austin 2018-04-26 14:02:12 UTC
Description of problem:

The 'openstack undercloud backup' command included with OSP13 accepts an 
"include" argument for the file system portion that defaults to /home/stack. 

Since customers generally keep overcloud images in /home/stack and that data generally doesn't need to be backed up, it would be nice to have an 'exclude' switch for exempting paths such as the images directory from backup. I would expect to be able to include /home/stack while excluding /home/stack/images or similar.

Comment 15 Gurenko Alex 2018-08-01 05:47:32 UTC
I'm trying to verify this feature, but after running following command:

openstack undercloud backup --exclude-path /home/stack/virt

I still see this folder included into the backup:

[stack@undercloud-0 ~]$ tar tf filesystem-20180801013316.tar | grep '/virt'
home/stack/virt/
home/stack/virt/network/
home/stack/virt/network/three-nics-vlans/
home/stack/virt/network/three-nics-vlans/osp11/
home/stack/virt/network/three-nics-vlans/osp11/ceph-storage.yaml
home/stack/virt/network/three-nics-vlans/osp11/controller.yaml
home/stack/virt/network/three-nics-vlans/osp11/cinder-storage.yaml
home/stack/virt/network/three-nics-vlans/osp11/swift-storage.yaml
home/stack/virt/network/three-nics-vlans/osp11/controller-v6.yaml
home/stack/virt/network/three-nics-vlans/osp11/compute.yaml
home/stack/virt/network/three-nics-vlans/legacy/
home/stack/virt/network/three-nics-vlans/legacy/ceph-storage.yaml
home/stack/virt/network/three-nics-vlans/legacy/controller.yaml
home/stack/virt/network/three-nics-vlans/legacy/cinder-storage.yaml
home/stack/virt/network/three-nics-vlans/legacy/swift-storage.yaml
home/stack/virt/network/three-nics-vlans/legacy/controller-v6.yaml
home/stack/virt/network/three-nics-vlans/legacy/compute.yaml
home/stack/virt/network/predictable-ips.yaml
home/stack/virt/network/network-environment-v6.yaml
home/stack/virt/network/network-environment.yaml
home/stack/virt/network/predictable-ips-v6.yaml
home/stack/virt/network/network-environment.yaml.orig
home/stack/virt/debug.yaml
home/stack/virt/internal.yaml
home/stack/virt/enable-tls.yaml
home/stack/virt/inject-trust-anchor.yaml
home/stack/virt/overcloud-privkey.pem
home/stack/virt/overcloud-cacert.pem
home/stack/virt/public_vip.yaml
home/stack/virt/hostnames.yml
home/stack/virt/nodes_data.yaml
home/stack/virt/docker-images.yaml

Changes seems to be in the puddle 2018-07-30.2

(undercloud) [stack@undercloud-0 ~]$ rpm -q openstack-tripleo-common
openstack-tripleo-common-8.6.3-5.el7ost.noarch
(undercloud) [stack@undercloud-0 ~]$ rpm -q python-tripleoclient
python-tripleoclient-9.2.3-2.el7ost.noarch

Comment 17 Carlos Camacho 2018-08-06 09:24:31 UTC
We have long time with this available

Comment 19 Joanne O'Flynn 2018-08-15 08:05:53 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 21 errata-xmlrpc 2018-08-29 16:35:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2574


Note You need to log in before you can comment on or make changes to this bug.